Skip to main content
PUT
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique program identifier.

Pattern: ^lprg_[a-f0-9]+$
rewardId
string
required

Unique reward identifier.

Pattern: ^lrew_[a-f0-9]+$

Body

application/json

Payload for updating the stock configuration of a reward assigned to a program.

stock
object
required

Reward stock configuration. When type is UNLIMITED, limited must not be provided. When type is LIMITED, limited is required.

Response

The updated reward assignment.

A reward assigned to a program, with stock configuration and redemption counter.

reward_id
string

Unique reward identifier.

Pattern: ^lrew_[a-f0-9]+$
stock
object

Stock configuration of the assignment.

redeemed
number

Number of times the reward has been redeemed within the program. Defaults to 0.

created_at
string<date-time>

Assignment creation timestamp (ISO 8601).

updated_at
string<date-time> | null

Last update timestamp (ISO 8601), or null when never updated.

object
string

Object type marker.

Allowed value: "program_reward"
Last modified on July 13, 2026